/************ Mobile devices ************/
@media only screen and (max-width: 480px) {
    .top-right-nav { display: none; }
    .top-right-link { display: none; }
    .top-center-nav { display: none; }
    .header-menu-toggle {
        display: block;
        position: fixed;
        right: 38px;
        top: 24px;
        height: 42px;
        width: 42px;
        line-height: 42px;
        font-size: 1.3rem;
        text-transform: uppercase;
        letter-spacing: .3rem;
        z-index: 600;
        -webkit-transition: all 0.5s ease-in-out;
        transition: all 0.5s ease-in-out;
    }
    .header-menu-text { display: none;  }
    
    .home { min-height: 20px;}
    .home-content-main { text-align: center; }
    .home-content h1 { font-size: 55px; letter-spacing: -3px;}
    .home-content h2 { font-size: 35px; margin-top: -10px; letter-spacing: -2px;}
    .home-content h3 { font-size: 16px; margin-top: -3px; }
    
    .side-social {display: none;}
    .row {width: 90%;}
    

    .about h1 {  font-size: 40px; margin: auto;  text-align: center;   }
    .about-pic { padding-left: 15%; padding-right: 15%; width: 100%; margin: auto;  margin-top: 65px; }    
    .about-text, .about-text-1, .about-text-2, .about-text-3, .about-text-4 {  text-align: center; margin: 15px 25px 15px 25px;}

    .about-left {
    position: relative;
    background-color: #051238;
    width: 100%; 
    height: 200px;
    float: none;
    clear: both;
    }

    .about-right {
    height: 100%;
    width: 100%;
    z-index: 1;
    top: 0;
    padding-top: 40%;
    padding-bottom: 20px;
    clear: both;
    }   

    #button { padding: 10px; margin: auto; }


    .skills h1 {  font-size: 40px; margin-top: -10px;}
    .skills-icon {font-size: 65px; color: #9aa0af; margin: auto; margin: 50px 0px 5px 0px; text-align: center;}
    .skills {height: auto;} 
    .skills-item { width: 100%; clear: both; margin-top: 0px;}       
    
    .portfolio h1 { font-size: 40px; padding-bottom: 30px; } 
    .portfolio .intro-wrap { padding: 170px 0px 50px 0px;  }
    .project-box { float: none; width: 100%; }
    .item-folio__title { font-size: 14px; }  
    .item-folio__cat { font-size: 13px;  } 

    .modal-content { width: 90%; }
    .modal-content h2 { font-size: 18px; }
    .modal-content p { font-size: 14px; }
    .modal-content em { font-size: 12px;}

    .mobile-only {display: block;} 
    .no-mobile {display: none;} 

}



/************ iPads, Tablets ************/
@media all and (min-width: 481px) and (max-width: 768px){
    .top-right-nav { display: none; }
    .top-right-link { display: none; }
    .top-center-nav { display: none; }
    .header-menu-toggle {
    display: block;
    position: fixed;
    right: 38px;
    top: 24px;
    height: 42px;
    width: 42px;
    line-height: 42px;
    font-size: 1.3rem;
    text-transform: uppercase;
    letter-spacing: .3rem;
    z-index: 600;
    -webkit-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
}
    

    
    .home { margin-top: -100px;}
    .home-content-main { text-align: center; }
    .home-content h1 { font-size: 75px; letter-spacing: -5px;}
    .home-content h2 { font-size: 50px; margin-top: -10px; letter-spacing: -5px;}
    .home-content h3 { font-size: 20px; margin-top: -3px;}

    .side-social {display: none;}
    .row { width: auto; padding-left: 25px; padding-right: 25px; }


    .about h1 { font-size: 50px; text-align: center; margin: auto; margin-top: 10%; }
    .about-pic { padding: 0% 20% 10% 20%; width: 100%; margin: auto;  margin-top: 70px;}    
    .about-text, .about-text-1, .about-text-2, .about-text-3, .about-text-4 {  text-align: center; margin: 20px 25px 15px 35px;}
    
    .about-left {
        position: relative;
        margin: auto;
        background-color: #051238;
        width: 100%; 
        height: 300px;
        float: none;
        clear: both;
    }
    
    .about-right {
        right: 0;
        height: 100%;
        width: 100%;
        z-index: 1;
        top: 0;
        overflow-x: hidden;
        padding-top: 25%;
        padding-bottom: 20px;
        clear: both;
    }   
        
    #button {  padding: 10px; margin: auto; }


    .skills h1 { font-size: 50px; }
    .skills-list { margin-top: 4.2rem; max-width: 500px; text-align: center; }
    .skills-list .skills-text { margin-left: 0; }
    .skills-list .skills-icon { font-size: 4.5rem; float: none; margin-top: 0; }
    .skills-icon {font-size: 65px;  margin: auto; margin: 50px 0px 10px 0px; text-align: center;}
    .skills-item { width: 100%; clear: both; margin-top: 0px;}  


    .portfolio h1 { font-size: 50px; padding-bottom: 30px; }    
    .portfolio .intro-wrap { padding: 170px 0px 50px 0px;  }
    .project-box { float: none; width: 100%; }
    .item-folio__title { font-size: 23px; color: white;}  
    .item-folio__cat { font-size: 20px;  } 

    .modal-content { width: 90%; }
    .modal-content h2 { font-size: 23px; }
    .modal-content p { font-size: 16px; }
    .modal-content em { font-size: 14px;}
    
    .go-top {
        right: 0;
        bottom: 0;
    }
    

}




/************ Small screens, laptops ************/
@media all and (min-width: 769px) and (max-width: 1024px) {
    .top-right-nav { display: none; }
    .top-center-nav { display: none; }
    .top-right-link h3 a{ right: 85px;}
    
    .header-menu-toggle {
    display: block;
    position: fixed;
    right: 38px;
    top: 24px;
    height: 42px;
    width: 42px;
    line-height: 42px;
    font-size: 1.3rem;
    text-transform: uppercase;
    letter-spacing: .3rem;
    color: darkgreen;
    z-index: 600;
    -webkit-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
    }

    .home-content-main { padding-top: 10px; padding-left: 40px; }

    .home-content h1 { font-size: 100px; }
    .home-content h2 { font-size: 60px; margin-top: -20px; }
    
    .about h1 {  font-size: 60px; margin-bottom: -20px; margin-left: 20px;}
    .about-pic { width: 220px; position: absolute; right: -80px; top: 150px; }   

    .about-left {
    position: relative;
    left: 0;
    min-height: 1265px;
    height: auto;
    background-color: #051238;
    padding: 0;
    margin: 0;
    width: 20%; 
    float: left;
    }
    .about-right {
    right: 0;
    width: 70%;
    z-index: 1;
    top: 0;
    overflow-x: hidden;
    padding-top: 20px;
    }   

    .about-text-1 {  margin: 10px 40px 15px 100px;  line-height: 1.75;}
    .about-text-2 {  margin: 15px 40px 15px 100px;  line-height: 1.75; }
    .about-text-3 {  margin: 15px 40px 15px 40px;  line-height: 1.75;  }
    .about-text-4 {  margin: 15px 40px 15px 40px;  line-height: 1.75;  }

    .skills {height: 700px;}
    .skills h1 { font-size: 60px; margin:auto;}
    .skills-icon {font-size: 60px; margin: auto; margin: 40px 0px 10px 0px; text-align: center;}
    .skills-item { width: 33%; float: left;}
    .absolute {position: absolute; width: 100%;}

    .portfolio h1 { font-size: 60px; }
   
}




/************ Desktops, large screens ************/
@media all and (min-width: 1025px) and (max-width: 1200px) {

    .row .row { margin-left: -15px; margin-right: -15px; }
    [class*="col-"] { padding: 0 15px;  }
    .section-header { max-width: 800px; }

      
    .home-content-main { max-width: 1200px; margin-left: 100px; }

    .home-content h1 { font-size: 130px;}
    .home-content h2 { font-size: 85px; margin-top: -30px; }
   
   
    .about h1 {  font-size: 85px; margin-bottom: -20px; }
    
    .about-pic { width: 350px; position: absolute; right: -90px; top: 165px;}
    .about-left {
    position: relative;
    left: 0;
    min-height: 1100px;
    height: auto;
    background-color: #051238;
    padding: 0;
    margin: 0;
    width: 30%; 
    float: left;
    }

    .about-right {
    right: 0;
    width: 70%;
    z-index: 1;
    top: 0;
    overflow-x: hidden;
    padding-top: 20px;
    }   

    .skills h1 { font-size: 85px; }
    .skills-text {  margin: auto; text-align: center; font-size: 16px; line-height: 35px; list-style-type: none;}
    .skills {height: 945px;}
    .skills-item { width: 33%; float: left; margin-bottom: 0px;}


    .portfolio h1 { font-size: 85px ; }
    
}




/************ Extra large screens, TV ************/
@media only screen and (min-width: 1201px)  {
  
    .home-content-main { max-width: 1200px; }  
    .home-content h1 { font-size: 800%; }
    .home-content h2 { font-size: 600%; margin-top: -30px; }
    
    .about h1 {  font-size: 90px; }
    .about-pic { width: 450px; position: absolute; right: -100px; top: 105px;}
    .about-left {
    position: relative;
    left: 0;
    min-height: 1450px;
    height: auto;
    background-color: #051238;
    padding: 0;
    margin: 0;
    width: 35%; 
    float: left;
    }

    .about-right {
    right: 0;
    height: auto;
    width: 65%;
    z-index: 1;
    top: 0;
    overflow-x: hidden;
    padding-top: 20px;
    padding-left: 10px;
    }   

    .about-text, .about-text-1, .about-text-2, .about-text-3, .about-text-4 { font-size: 20px; margin-top: 20px;}

    .skills h1 {  font-size: 90px; text-align: center; margin: auto;}
    .skills h2 {  font-size: 40px;}
    .skills-text {  margin: auto; font-size: 20px; line-height: 40px; list-style-type: none;}
    .skills {height: 945px; z-index: 3; }
    .skills-item { width: 33%; float: left; margin-bottom: 0px;}
    .absolute {position: absolute; width: 100%;}
    
    
    .portfolio h1 {font-size: 90px; } 
    


    
 
}





